org.apache.storm.cassandra.executor.impl

## Class BatchAsyncResultHandler

- java.lang.Object
- - org.apache.storm.cassandra.executor.impl.BatchAsyncResultHandler

- All Implemented Interfaces:
    Serializable, AsyncResultHandler<List<Tuple>>

      public class BatchAsyncResultHandler
      extends Object
      implements AsyncResultHandler<List<Tuple>>

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface org.apache.storm.cassandra.executor.AsyncResultHandler

      `NO_OP_HANDLER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BatchAsyncResultHandler(ExecutionResultHandler handler)` Creates a new `BatchAsyncResultHandler` instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `failure(Throwable t, List<Tuple> input)` This method is responsible for failing specified inputs.
    `void` | `flush(OutputCollector collector)`
    `void` | `success(List<Tuple> input)` This method is responsible for acknowledging specified inputs.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BatchAsyncResultHandler

          public BatchAsyncResultHandler(ExecutionResultHandler handler)

      Creates a new `BatchAsyncResultHandler` instance.

  - ### Method Detail

    - #### failure

          public void failure(Throwable t,
                              List<Tuple> input)

      This method is responsible for failing specified inputs.

      The default method does no-operation.

      Specified by:
        `failure` in interface `AsyncResultHandler<List<Tuple>>`
      Parameters:
        `t` - The cause the failure.
        `input` - The input tuple proceed.

    - #### success

          public void success(List<Tuple> input)

      This method is responsible for acknowledging specified inputs.

      The default method does no-operation.

      Specified by:
        `success` in interface `AsyncResultHandler<List<Tuple>>`
      Parameters:
        `input` - The input tuple proceed.

    - #### flush

          public void flush(OutputCollector collector)

      Specified by:
        `flush` in interface `AsyncResultHandler<List<Tuple>>`

Copyright © 2019 The Apache Software Foundation. All rights reserved.